# CLPlatformCapabilities (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opencl
Class CLPlatformCapabilities

    java.lang.Object
      org.lwjgl.opencl.CLPlatformCapabilities

    public class CLPlatformCapabilities

extends java.lang.Object

Field Summary
`boolean` `CL_APPLE_gl_sharing`
`boolean` `CL_APPLE_SetMemObjectDestructor`
`boolean` `CL_KHR_d3d10_sharing`
`boolean` `CL_KHR_gl_event`
`boolean` `CL_KHR_gl_sharing`
`boolean` `CL_KHR_icd`
`int` `majorVersion`
`int` `minorVersion`
`boolean` `OpenCL11`
`boolean` `OpenCL12`

Constructor Summary
`CLPlatformCapabilities(CLPlatform platform)`

Method Summary
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### majorVersion

    public final int majorVersion

### minorVersion

    public final int minorVersion

### OpenCL11

    public final boolean OpenCL11

### OpenCL12

    public final boolean OpenCL12

### CL_APPLE_SetMemObjectDestructor

    public final boolean CL_APPLE_SetMemObjectDestructor

### CL_APPLE_gl_sharing

    public final boolean CL_APPLE_gl_sharing

### CL_KHR_d3d10_sharing

    public final boolean CL_KHR_d3d10_sharing

### CL_KHR_gl_event

    public final boolean CL_KHR_gl_event

### CL_KHR_gl_sharing

    public final boolean CL_KHR_gl_sharing

### CL_KHR_icd

    public final boolean CL_KHR_icd

Constructor Detail

### CLPlatformCapabilities

    public CLPlatformCapabilities(CLPlatform platform)

Method Detail

### getMajorVersion

    public int getMajorVersion()

### getMinorVersion

    public int getMinorVersion()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.